> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://mailchimp.com/developer/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://mailchimp.com/developer/_mcp/server.

# Get SMS campaign info

GET https://api.mailchimp.com/3.0/sms-campaigns/{sms_campaign_id}

Get the details for a single SMS campaign.

Reference: https://mailchimp.com/developer/marketing/api/sms-campaigns/get

## Authentication

- `Authorization` header (bearer token, required) — Authorization using a Mailchimp API key (a.k.a. Bearer token)
- `Authorization` header (bearer token, required) — Authorization using OAuth

## Request

### Path parameters

- `sms_campaign_id` (string, required) — The unique id for the SMS campaign.

### Query parameters

- `fields` (list of string, optional) — A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation.
- `exclude_fields` (list of string, optional) — A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation.

## Response

### 200

- `id` (string, optional) — A string that uniquely identifies this campaign.
- `web_id` (string, optional) — The ID used in the Mailchimp web application.
- `name` (string, optional) — The name of the campaign.
- `status` (string, optional) — The current status of the campaign.
- `channel` (string, optional) — The channel for this campaign (sms or whatsapp).
- `list_id` (integer, optional) — The numeric ID of the list associated with this campaign.
- `recipient_count` (integer, optional) — The number of recipients for this campaign.
- `create_time` (datetime, optional) — The date and time the campaign was created.
- `send_time` (datetime, optional) — The date and time the campaign is scheduled to send.
- `updated_at` (datetime, optional) — The date and time the campaign was last updated.
- `expire_time` (datetime, optional) — The date and time the campaign will stop sending in ISO 8601 format.
- `is_send_now` (boolean, optional) — Whether the campaign is configured to send immediately.
- `folder_id` (string, optional) — The ID of the folder this campaign is in.
- `segments` (list of integer, optional) — The segment IDs used to target recipients for this campaign.
- `excluded_segments` (list of integer, optional) — The segment IDs excluded from receiving this campaign.
- `_links` (list of SmsCampaignLinksItems, optional) — A list of link types and descriptions for the API schema documents.

## Types

### SmsCampaignLinksItems

This object represents a link from the resource where it is found to another resource or action that may be performed.

- `href` (string, optional) — This property contains a fully-qualified URL that can be called to retrieve the linked resource or perform the linked action.
- `method` (enum, optional) — The HTTP method that should be used when accessing the URL defined in 'href'.
  - Allowed values: `GET`, `POST`, `PUT`, `PATCH`, `DELETE`, `OPTIONS`, `HEAD`
- `rel` (string, optional) — As with an HTML 'rel' attribute, this describes the type of link.
- `schema` (string, optional) — For HTTP methods that can receive bodies (POST and PUT), this is a URL representing the schema that the body should conform to.
- `targetSchema` (string, optional) — For GETs, this is a URL representing the schema that the response should conform to.

## Examples

**Response**

```json
{
  "id": "string",
  "web_id": "string",
  "name": "string",
  "status": "string",
  "channel": "string",
  "list_id": 1,
  "recipient_count": 1,
  "create_time": "2024-01-15T09:30:00Z",
  "send_time": "2024-01-15T09:30:00Z",
  "updated_at": "2024-01-15T09:30:00Z",
  "expire_time": "2024-01-15T09:30:00Z",
  "is_send_now": true,
  "folder_id": "string",
  "segments": [
    1
  ],
  "excluded_segments": [
    1
  ],
  "_links": [
    {
      "href": "string",
      "method": "GET",
      "rel": "string",
      "schema": "string",
      "targetSchema": "string"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.mailchimp.com/3.0/sms-campaigns/sms_campaign_id"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.mailchimp.com/3.0/sms-campaigns/sms_campaign_id';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.mailchimp.com/3.0/sms-campaigns/sms_campaign_id"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.mailchimp.com/3.0/sms-campaigns/sms_campaign_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.mailchimp.com/3.0/sms-campaigns/sms_campaign_id")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.mailchimp.com/3.0/sms-campaigns/sms_campaign_id', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.mailchimp.com/3.0/sms-campaigns/sms_campaign_id");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.mailchimp.com/3.0/sms-campaigns/sms_campaign_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```